singleton Material("rim_texture")
{
    mapTo = "rim_texture";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/rim_texture.dds";
    colorMap[2] = "vehicles/common/rim_texture_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "0";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    specularPower[1] = "0";
    pixelSpecular[1] = "0";
    specularPower[2] = "0";
    pixelSpecular[2] = "0";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.01 0.01 0.01 0.05";
    diffuseColor[2] = "0.7 0.7 0.7 0.05";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null)
{
    mapTo = "null";
    
/*
    diffuseColor[0] = "0.2 0.2 0.2 1";
    specular[0] = "1 1 1 1";
    specularPower[0] = "128";
    doubleSided = "1";
    translucentBlendOp = "None";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "128";
    specularStrength[1] = "2";
    dynamicCubemap ="true";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "Miscellaneous";
};

*/

    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0 0 0 0.5";
    diffuseColor[2] = "0 0 0 0.65";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("null")
{
    mapTo = "null";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/tire_texture.dds";
    colorMap[2] = "vehicles/common/tire_texture.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.01 0.01 0.01 0.2";
    diffuseColor[2] = "0.5 0.5 0.5 0.15";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null)
{
    mapTo = "null";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.99 0.99 0.99 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    doubleSided = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //dynamicCubemap ="true";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(null)
{
    mapTo = "null";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/null.dds";
    colorMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "1";
    pixelSpecular[0] = "1";
    specularPower[1] = "0";
    pixelSpecular[1] = "0";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0 0 0 0.65";
    diffuseColor[2] = "0.02 0.02 0.02 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null)
{
    mapTo = "null_turbo_matblack";
    diffuseColor[0] = "0.2 0.2 0.2 1";
    specular[0] = "1 1 1 1";
    specularPower[0] = "128";
    doubleSided = "1";
    translucentBlendOp = "None";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "128";
    specularStrength[1] = "2";
};

singleton Material(null_Pflow)
{
    mapTo = "null_Pflow";
    diffuseColor[0] = "0.5 0.35 0.35 1";
    specular[0] = "1 1 1 1";
    specularPower[0] = "128";
    doubleSided = "1";
    translucentBlendOp = "None";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "128";
    specularStrength[1] = "2";
};


singleton Material(null_turbo_red)
{
    mapTo = "null_turbo_red";
    diffuseColor[0] = "0.75 0.1 0.1 1";
    specular[0] = "1 1 1 1";
    specularPower[0] = "128";
    doubleSided = "1";
    translucentBlendOp = "None";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "128";
    specularStrength[1] = "2";
    dynamicCubemap ="true";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "Miscellaneous";
};

singleton Material(null_turbo_Gray)
{
    mapTo = "null_turbo_Gray";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.85 0.85 0.85 1";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    castShadows = "0.5";
    translucent = "0.5";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap ="false";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(null)
{
    mapTo = "msd_white";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.55 0.55 0.55 0.75";
    diffuseColor[2] = "0.21 0.21 0.21 0.55";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(blades_gold)
{
    mapTo = "blades_gold";
    specularPower[0] = "1";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.46 0.438 0.4 3";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
};

singleton Material(carb_grey)
{
    mapTo = "carb_grey";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/null.dds";
    colorMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    diffuseColor[1] = "0.1 0.01 0.01 0.45";
    diffuseColor[2] = "1.9 1.9 1.9 0.04";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(an_red)
{
    mapTo = "an_red";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/null.dds";
    colorMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.01 0.01 0.01 0.05";
    diffuseColor[2] = "0.7 0.3 0.3 0.88";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null)
{
    mapTo = "an_blue";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/null.dds";
    colorMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.01 0.01 0.01 0.05";
    diffuseColor[2] = "0.3 0.3 0.7 0.88";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_turbo_gold)
{
    mapTo = "null_turbo_gold";
    specularPower[0] = "1";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.36 0.338 0.3 1";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
};

singleton Material(null_turbo_chrome)
{
    mapTo = "null_turbo_chrome";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorMap[1] = "vehicles/common/null.dds";
    colorMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.01 0.01 0.01 0.05";
    diffuseColor[2] = "0.7 0.7 0.7 0.05";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(null_turbo_painted1)
{
    mapTo = "null_turbo_painted1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorPaletteMap[1] = "Color1.jpg";
    colorPaletteMap[2] = "Color1.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";


    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337"; //0.337
    diffuseColor[2] = "1 1 1 0.42";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(null_turbo_painted2)
{
    mapTo = "null_turbo_painted2";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorPaletteMap[1] = "Color2.jpg";
    colorPaletteMap[2] = "Color2.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";


    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337"; //0.337
    diffuseColor[2] = "1 1 1 0.42";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(null_turbo_painted3)
{
    mapTo = "null_turbo_painted3";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    colorPaletteMap[1] = "Color3.jpg";
    colorPaletteMap[2] = "Color3.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";


    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337"; //0.337
    diffuseColor[2] = "1 1 1 0.42";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Red_Rubber)
{
    mapTo = "null_Red_Rubber";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.75 0.08 0.08 1";
    specularPower[1] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.12";

    SpecularColor[1] = "0.1 0.1 0.1 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Supercharger_Belt_Outer_)
{
    mapTo = "null_Supercharger_Belt_Outer_";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.08 0.08 0.08 1";
    specularPower[1] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.12";

    SpecularColor[1] = "0.1 0.1 0.1 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(null_Aluminum)
{
    mapTo = "null_Aluminum";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.45 0.45 0.45 0.25";
    diffuseColor[2] = "0.51 0.51 0.51 0.12";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Aluminum_MSD_Ignition)
{
    mapTo = "null_Aluminum_MSD_Ignition";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.35 0.35 0.35 0.35";
    diffuseColor[2] = "0.41 0.41 0.41 0.35";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(null_Black_Paint)
{
    mapTo = "null_Black_Paint";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "52";
    pixelSpecular[0] = "0.5";
    specularPower[1] = "32";
    pixelSpecular[1] = "0.5";
    specularPower[2] = "32";
    pixelSpecular[2] = "0.5";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.1 0.1 0.1 0.5";
    diffuseColor[2] = "0.1 0.1 0.1 0.55";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Blue_Metal)
{
    mapTo = "null_Blue_Metal";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.2 0.6 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(null_Braided_Hose)
{
    mapTo = "null_Braided_Hose";
diffuseColor[0] = "0.55 0.55 0.55 1";
    specular[0] = "1 1 1 1";
    specularPower[0] = "100";
    doubleSided = "1";
    translucentBlendOp = "None";
    //dynamicCubemap ="true";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Bronze)
{
    mapTo = "null_Bronze";
specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.9 0.8 0.6 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(null_Diffuse_Metal)
{
    mapTo = "null_Diffuse_Metal";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.2 0.2 0.2 0.65";
    diffuseColor[2] = "0.25 0.25 0.25 0.35";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    cubemap = "global_cubemap_metalblurred";

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Grey_Paint)
{
    mapTo = "null_Grey_Paint";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.55 0.55 0.55 0.75";
    diffuseColor[2] = "0.21 0.21 0.21 0.55";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Grey_Rubber)
{
    mapTo = "null_Grey_Rubber";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.35 0.35 0.35 1";
    specularPower[1] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.12";

    SpecularColor[1] = "0.1 0.1 0.1 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Kev_Blanket)
{
    mapTo = "null_Kev_Blanket";
    diffuseColor[0] = "0.25 0.25 0.25 1";
    specular[0] = "0.45 0.45 0.45 1";
    specularPower[0] = "50";
    translucentBlendOp = "None";

};


singleton Material(null_Red_Paint)
{
    mapTo = "null_Red_Paint";
   castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "68";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "38";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.01 0.01 0.5";
    diffuseColor[2] = "0 0 0 0.35";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Red_Metal_MSD_)
{
    mapTo = "null_Red_Metal_MSD_";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.72 0.18 0.18 1";
    specularPower[1] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.12";

    SpecularColor[1] = "0.1 0.1 0.1 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(null_Black_Rubber)
{
    mapTo = "null_Black_Rubber";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.08 0.08 0.08 1";
    specularPower[1] = "1";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.12";

    SpecularColor[1] = "0.1 0.1 0.1 0.1";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



 singleton Material("null_Colored_BB")
{
    mapTo = "null_Colored_BB";
    castShadows = "1";
    translucent = "1";
    doubleSided = "1";

    colorPaletteMap[1] = "Color1.jpg";
    colorPaletteMap[2] = "Color1.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "62";
    pixelSpecular[0] = "0.3";
    specularPower[1] = "42";
    pixelSpecular[1] = "0.3";
    specularPower[2] = "42";
    pixelSpecular[2] = "0.4";


    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "1 1 1 0.377"; //0.337
    diffuseColor[2] = "1 1 1 0.42";  //0.42

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("null_Colored_BB_2")
{
    mapTo = "null_Colored_BB_2";
    castShadows = "1";
    translucent = "1";
    doubleSided = "1";

    colorPaletteMap[1] = "Color2.jpg";
    colorPaletteMap[2] = "Color2.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "62";
    pixelSpecular[0] = "0.3";
    specularPower[1] = "42";
    pixelSpecular[1] = "0.3";
    specularPower[2] = "42";
    pixelSpecular[2] = "0.4";


    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "1 1 1 0.377"; //0.337
    diffuseColor[2] = "1 1 1 0.42";  //0.42

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("null_Colored_BB_3")
{
    mapTo = "null_Colored_BB_3";
    castShadows = "1";
    translucent = "1";
    doubleSided = "1";

    colorPaletteMap[1] = "Color3.jpg";
    colorPaletteMap[2] = "Color3.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";	
    diffuseMap[1] = "vehicles/common/null.dds";	
    diffuseMap[2] = "vehicles/common/null.dds";	

    translucentZWrite = "1";
    specularPower[0] = "62";
    pixelSpecular[0] = "0.3";
    specularPower[1] = "42";
    pixelSpecular[1] = "0.3";
    specularPower[2] = "42";
    pixelSpecular[2] = "0.4";


    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "1 1 1 0.377"; //0.337
    diffuseColor[2] = "1 1 1 0.42";  //0.42

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //useAnisotropic[3] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    //instanceDiffuse[0] = true;
    instanceDiffuse[1] = true;
    instanceDiffuse[2] = true;


    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(null_chrome_bb)
{
    mapTo = "null_chrome_bb";
    castShadows = "1";
    translucent = "0";
    doubleSided = "1";

    translucentZWrite = "1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";

    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.45 0.45 0.45 0.25";
    diffuseColor[2] = "0.51 0.51 0.51 0.12";

    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";

    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";

    dynamicCubemap = true;

    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

